Subject: Re: new install of cygwin with pdksh doesn't work
From: Christopher Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 20 Dec 2000 19:19:07 -0500

On Wed, Dec 20, 2000 at 03:49:32PM -0800, David M. Karr wrote:
>>>>>> "Christopher" == Christopher Faylor <[email-masked]> writes:
>  Christopher> On Wed, Dec 20, 2000 at 02:39:08PM -0800, David M. Karr wrote:
>  >> I have a relatively recent install of cygwin, along with pdksh-2.14.
>  >> I have scripts that reference "/bin/ksh" that work fine.
>  >> 
>  >> Today I've been setting up these tools on another PC, and now when I
>  >> execute "ksh", I get the following:
>  >> 
>  >> ksh: /cygdrive/d/dmk/.bashrc[1]: syntax error: `in^M' unexpected
>  >> 
>  >> I'm sure this has something to do with line endings, but I don't
>  >> understand what has to be done.
>
>  Christopher> Remove the ^Ms in .bashrc.
>
>I have none.  These are the exact same files I used on the other PC
>that is working fine.  I copied them directly from the PC that doesn't
>have the problem to the PC that does have the problem, without change.

What are you using to verify this?  od -c should show you if your
supposition that there are no ^Ms in your file is correct.

I would not be surprised to find out that you are wrong and that your
.bashrc file has lines that end with ^M^J(\r\n).

Editing the file with 'vi -b' should also show any ^Ms.

If you really don't have any ^Ms in your file then I am at a loss as
to why they would show up in your error output.

cgf

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple